[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TBlobField.LoadFromStream

Load the field's contents from stream

## Declaration

Source position: db.pas line 884

`public procedure TBlobField.LoadFromStream(`
`Stream: TStream`
`);`

## Arguments

`Stream` |  | Stream instance to load data from

## Description

LoadFromStream can be used to load the contents of the field from a TStream descendent. The entire data of the stream will be copied, and the stream will be positioned on the first byte of data, so it must be seekable.

## Errors

If the stream is not seekable, an exception will be raised.

## See also

SaveToStream |  | Save the field's contents to stream
LoadFromFile |  | Load the contents of the field frop a file

Documentation generated on: Feb 26 2014